Transaction

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.utilities.database
Class Transaction

    java.lang.Object
      com.fenalco.utilities.database.Transaction

    public class Transaction

extends java.lang.Object

Esta clase se encarga de encapsular una transacción, cuando se requieran ejecutar varias consultas sql dentro de una transacción, se crea un onjeto de esta clase y se le añaden las consultas; por último de llama al método execute, el cual ejecuta la transacción.

Author:
  andres

Field Summary
`private java.util.Vector` | `sqls` Vector que va a almacenar todas las consultas sql que vayan dentro de la transacción

Constructor Summary
`Transaction()` Crea una nueva instancia de esta clase

Method Summary
`void` | `addSql(java.lang.String sql)` Adiciona un String sql a la transacción, el orden en el que se ejecutan las instrucciones es el mismo usado para adicionarlas a la transacción.
`boolean` | `execute()` Intenta ejecutar la transacción, si la transacción se ejecuta exitosamente elimina todas las instrucciones que hacen parte de la transacción

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sqls

    private java.util.Vector sqls

  Vector que va a almacenar todas las consultas sql que vayan dentro de la transacción

Constructor Detail

### Transaction

    public Transaction()

  Crea una nueva instancia de esta clase

Method Detail

### addSql

    public void addSql(java.lang.String sql)

  Adiciona un String sql a la transacción, el orden en el que se ejecutan las instrucciones es el mismo usado para adicionarlas a la transacción.

  Parameters:
    `sql` - Instrucción sql que se va a adicionar a la transacción

### execute

    public boolean execute()

  Intenta ejecutar la transacción, si la transacción se ejecuta exitosamente elimina todas las instrucciones que hacen parte de la transacción

  Returns:
    booleano que indica si la transacción se pudo ejecutar o no. Si la transacción se ejecuta correctamente todas las instrucciones que la componen son eliminadas, en caso contrario las instrucciones permanecen.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD